LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > MEPIS
User Name
Password
MEPIS This forum is for the discussion of MEPIS Linux.

Notices

Reply
 
Search this Thread
Old 01-23-2007, 12:43 PM   #1
tuxhats
Member
 
Registered: Dec 2005
Location: Austin, Texas area
Distribution: I have multiple Distos available, but I mostly use Ubuntu.
Posts: 47

Rep: Reputation: 16
fakeroot make-jpkg ERROR


Here's what I got:

joe@[tmp]$ fakeroot make-jpkg jdk-6-linux-i586.bin

/usr/bin/fakeroot: line 150: make-jpkg: command not found

jim@[tmp]$


This used to work with MEPIS 3.4-3 .
Any ideas how to make/create a "deb" package with MEPIS 6.0 ?
 
Old 01-23-2007, 01:10 PM   #2
rickh
Senior Member
 
Registered: May 2004
Location: Albuquerque, NM USA
Distribution: Debian-Lenny/Sid 32/64 Desktop: Generic AMD64-EVGA 680i Laptop: Generic Intel SIS-AC97
Posts: 4,250

Rep: Reputation: 60
Are you in the same directory with the .bin file? Is the .bin file correctly named? Maybe a newer build-essentials? If you're using build-essentials from Debian repos, they might not work because Mephis is now based on Ubuntu, I think.
 
Old 01-23-2007, 02:12 PM   #3
tuxhats
Member
 
Registered: Dec 2005
Location: Austin, Texas area
Distribution: I have multiple Distos available, but I mostly use Ubuntu.
Posts: 47

Original Poster
Rep: Reputation: 16
fakeroot make-jpkg errror

Yes, I am in the same directory and the download is from
Sun. -> jdk-6-linux-i586.bin

I'm having trouble with "fakeroot make-jpkg".
 
Old 01-23-2007, 02:29 PM   #4
rickh
Senior Member
 
Registered: May 2004
Location: Albuquerque, NM USA
Distribution: Debian-Lenny/Sid 32/64 Desktop: Generic AMD64-EVGA 680i Laptop: Generic Intel SIS-AC97
Posts: 4,250

Rep: Reputation: 60
fakeroot and java-package, as well as the build-essential programs? Did they come from Debian or Ubuntu? Current Mephis is Ubuntu based, right?
 
Old 01-23-2007, 03:10 PM   #5
tuxhats
Member
 
Registered: Dec 2005
Location: Austin, Texas area
Distribution: I have multiple Distos available, but I mostly use Ubuntu.
Posts: 47

Original Poster
Rep: Reputation: 16
fakeroot make-jpkg errror

Yes, it is SimplyMEPIS 6.0 stock. Updated with and source lists are as follows:

# MEPIS improvements, overrides and updates--the MEPIS magic
deb http://apt.mepis.org/6.0/ mepis main


# Ubuntu foundation packages
deb http://archive.ubuntu.com/ubuntu/ breezy main restricted
deb http://archive.ubuntu.com/ubuntu/ dapper main restricted
# Security updates
deb http://security.ubuntu.com/ubuntu/ dapper-security main restricted
# Package updates
deb http://archive.ubuntu.com/ubuntu/ dapper-updates main restricted
# Backports of newer packages--unsupported and not thoroughly tested
# deb http://archive.ubuntu.com/ubuntu/ dapper-backports main restricted


# Free unsupported packages from Debian and beyond
deb http://archive.ubuntu.com/ubuntu/ dapper universe
# Non-free unsupported packages from Debian and beyond
deb http://archive.ubuntu.com/ubuntu/ dapper multiverse
# Backports of newer packages--unsupported and not thoroughly tested
deb http://archive.ubuntu.com/ubuntu/ dapper-backports universe multiverse


# Cpiherfunk--some packages not available elsewhere
# deb ftp://cipherfunk.org/pub/packages/ubuntu/ dapper main
# deb http://ftp.debian-unofficial.org/debian/ sarge main contrib non-free restricted



>>>>> IN fact how does one make a "deb" file under this environment(MEPIS 6.0)?

___

Last edited by tuxhats; 01-23-2007 at 05:52 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
make-jpkg (java install) problems powadha Debian 4 06-06-2010 06:17 AM
make bzImage failure: make[1]: *** [init/version.o] Error 1 nmainak Linux - Kernel 2 07-16-2006 05:06 PM
fakeroot problem finrod_2002 Linux - Software 2 03-16-2005 03:23 PM
lopster v1.2.2 make error: No rule to make target `m4/glibc21.m4' Kropotkin Fedora 0 10-31-2004 11:19 AM
ioperm - operation not permitted when using fakeroot Zotty Programming 3 09-21-2004 04:34 PM


All times are GMT -5. The time now is 03:06 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration